Package org.springframework.security.authorization.method

# Class PreFilterAuthorizationReactiveMethodInterceptor

java.lang.Object
org.springframework.security.authorization.method.PreFilterAuthorizationReactiveMethodInterceptor

All Implemented Interfaces:
  `org.aopalliance.aop.Advice`, `org.aopalliance.intercept.Interceptor`, `org.aopalliance.intercept.MethodInterceptor`, `org.springframework.aop.Advisor`, `org.springframework.aop.framework.AopInfrastructureBean`, `org.springframework.aop.PointcutAdvisor`, `org.springframework.core.Ordered`, `AuthorizationAdvisor`

public final class PreFilterAuthorizationReactiveMethodInterceptor extends Object implements AuthorizationAdvisor
A `MethodInterceptor` which filters a reactive method argument by evaluating an expression from the `PreFilter` annotation.

Since:
  5.8

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`PreFilterAuthorizationReactiveMethodInterceptor()`
`PreFilterAuthorizationReactiveMethodInterceptor(MethodSecurityExpressionHandler expressionHandler)`
Creates an instance.

## Method Summary

Modifier and Type
Method
Description
`org.aopalliance.aop.Advice`
`getAdvice()`
`int`
`getOrder()`
`org.springframework.aop.Pointcut`
`getPointcut()`
`Object`
`invoke(org.aopalliance.intercept.MethodInvocation mi)`
Filters a reactive method argument by evaluating an expression from the `PreFilter` annotation.
`boolean`
`isPerInstance()`
`void`
`setOrder(int order)`
`void`
`setParameterNameDiscoverer(org.springframework.core.ParameterNameDiscoverer parameterNameDiscoverer)`
Sets the `ParameterNameDiscoverer`.
`void`
`setTemplateDefaults(PrePostTemplateDefaults defaults)`
Configure pre/post-authorization template resolution
`void`
`setTemplateDefaults(AnnotationTemplateExpressionDefaults defaults)`
Configure pre/post-authorization template resolution

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreFilterAuthorizationReactiveMethodInterceptor

public PreFilterAuthorizationReactiveMethodInterceptor()

### PreFilterAuthorizationReactiveMethodInterceptor

public PreFilterAuthorizationReactiveMethodInterceptor(MethodSecurityExpressionHandler expressionHandler)
Creates an instance.

## Method Details

### setTemplateDefaults

public void setTemplateDefaults(PrePostTemplateDefaults defaults)
Configure pre/post-authorization template resolution

By default, this value is `null`, which indicates that templates should not be resolved.

Parameters:
  `defaults` - - whether to resolve pre/post-authorization templates parameters
Since:
  6.3

### setTemplateDefaults

public void setTemplateDefaults(AnnotationTemplateExpressionDefaults defaults)
Configure pre/post-authorization template resolution

By default, this value is `null`, which indicates that templates should not be resolved.

Parameters:
  `defaults` - - whether to resolve pre/post-authorization templates parameters
Since:
  6.4

### setParameterNameDiscoverer

public void setParameterNameDiscoverer(org.springframework.core.ParameterNameDiscoverer parameterNameDiscoverer)
Sets the `ParameterNameDiscoverer`.

Parameters:
  `parameterNameDiscoverer` - the `ParameterNameDiscoverer` to use

### invoke

public Object invoke(org.aopalliance.intercept.MethodInvocation mi) throws Throwable
Filters a reactive method argument by evaluating an expression from the `PreFilter` annotation.

Specified by:
  `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
Parameters:
  `mi` - the `MethodInvocation` to use
Returns:
  the `Publisher` to use
Throws:
  `Throwable`

### getPointcut

public org.springframework.aop.Pointcut getPointcut()

Specified by:
  `getPointcut` in interface `org.springframework.aop.PointcutAdvisor`

### getAdvice

public org.aopalliance.aop.Advice getAdvice()

Specified by:
  `getAdvice` in interface `org.springframework.aop.Advisor`

### isPerInstance

public boolean isPerInstance()

Specified by:
  `isPerInstance` in interface `org.springframework.aop.Advisor`

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### setOrder

public void setOrder(int order)